Bug 103825 - Internal compiler error
Internal compiler error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-05 09:24 EDT by Joe Michael Kniss III
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 23:39:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Michael Kniss III 2003-09-05 09:24:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
I am compiling some template code, I get an internal compiler error at:
resolve_offset_ref at cp/init.c:1886

All it tells me after that is to submit a bug report

Version-Release number of selected component (if applicable):
3.2.20020903

How reproducible:
Always

Steps to Reproduce:
1.compile my signal/slot driver
2.watch it die
3.
    

Actual Results:  duh, compiler dies

Expected Results:  compiled correctly, does on other platforms

Additional info:

get a tar ball from here:
www.sci.utah.edu/~jmk/gcc/gccbug.tar
once extracted, just type:
gcc main.cpp
Comment 1 Jakub Jelinek 2003-09-05 12:35:08 EDT
main.cpp in your tarball is just another tarball.
Can you please run gcc main.cpp -save-temps and attach main.ii it creates instead?
Also, can you try a newer compiler (such as the one shipped in RHL9, RHEL3 beta
or rawhide)?
Comment 2 Joe Michael Kniss III 2003-09-08 02:35:29 EDT
Hi, I tried it on 3.3 and got this "real" error:

<snip>

/home/sci/hartner/joe_new/arbeit/examples/signalTest/main.cpp: In function
`int  main(int, char**)':
/home/sci/hartner/joe_new/arbeit/examples/signalTest/main.cpp:76: error:
parenthesis
   around 'dummySlot::someSlot()' cannot be used to form a
   pointer-to-member-function

<snip>

I took out the "()"s and now it compiles fine on both 3.2... and 3.3.  Do you 
still want -save-temps?

ciao
-joe
Comment 3 Richard Henderson 2004-10-03 23:39:34 EDT
No, not really.  It's a case of ice-on-invalid code that's been
fixed in the current version of the compiler.

Note You need to log in before you can comment on or make changes to this bug.